name: hub
description: A new Flutter project.

publish_to: "none"

version: 1.2.1+17

environment:
  sdk: ">=3.0.0 <4.0.0"

dependencies:
  flutter:
    sdk: flutter
  flutter_localizations:
    sdk: flutter
  auto_size_text: 3.0.0
  barcode_widget: ^2.0.4
  cached_network_image: ^3.4.0
  firebase_core: ^3.4.0
  flutter_inappwebview: ^6.0.0
  webview_flutter: ^4.8.0
  rxdart: ^0.28.0
  collection: 1.18.0
  app_links: ^6.3.2
  crop_your_image: 1.1.0
  csv: 6.0.0
  device_info_plus: ^10.1.2
  firebase_messaging: ^15.1.0
  dropdown_button2: 2.3.9
  easy_debounce: 2.0.3
  equatable: ^2.0.6
  file_picker: ^8.0.7
  flutter_expandable_fab: ^2.1.0
  firebase_analytics: ^11.3.0
  flutter_animate: 4.5.0
  flutter_cache_manager: ^3.4.1
  flutter_plugin_android_lifecycle: ^2.0.23
  share_plus: ^10.0.0
  connectivity_plus: ^6.0.5
  flutter_secure_storage: 9.2.2
  flutter_secure_storage_linux: 1.2.1
  flutter_secure_storage_macos: 3.1.2
  flutter_secure_storage_platform_interface: 1.1.2
  flutter_secure_storage_web: 1.2.1
  flutter_secure_storage_windows: 3.1.2
  flutter_spinkit: 5.2.1
  flutter_staggered_grid_view: 0.7.0
  flutter_svg: ^2.0.15
  font_awesome_flutter: ^10.8.0
  from_css_color: 2.0.0
  go_router: ^14.3.0
  google_fonts: 6.2.1
  http: 1.2.1
  image_picker: 1.1.2
  image_picker_android: ^0.8.12+15
  image_picker_for_web: ^3.0.5
  persistent_bottom_nav_bar: ^6.2.1
  image_picker_ios: ^0.8.12+1
  image_picker_platform_interface: 2.10.0
  local_auth: ^2.2.0
  intl: ^0.19.0
  camera: ^0.11.0+2
  json_path: ^0.7.4
  mime_type: ^1.0.1
  page_transition: 2.1.0
  path_provider: ^2.1.4
  path_provider_android: ^2.2.12
  google_mlkit_face_detection: ^0.12.0
  path_provider_foundation: 2.4.0
  path_provider_platform_interface: 2.1.2
  percent_indicator: ^4.2.3
  plugin_platform_interface: 2.1.8
  provider: 6.1.2
  shared_preferences: ^2.3.2
  shared_preferences_android: ^2.3.3
  shared_preferences_foundation: ^2.5.3
  shared_preferences_platform_interface: ^2.4.1
  shared_preferences_web: ^2.4.2
  sqflite: ^2.4.0
  synchronized: ^3.3.0+3
  responsive_framework: ^1.5.1
  timeago: ^3.7.0
  url_launcher: ^6.3.1
  url_launcher_android: ^6.3.12
  url_launcher_ios: ^6.3.1
  url_launcher_platform_interface: 2.3.2
  # video_player: 2.8.7
  # video_player_android: 2.5.0
  # video_player_avfoundation: 2.6.1
  # video_player_platform_interface: 6.2.2
  # video_player_web: 2.3.1
  material_symbols_icons: ^4.2784.0
  fluttertoast: ^8.2.8
  cupertino_icons: ^1.0.0
  flutter_bloc: ^8.1.6
  flutter_riverpod: ^2.5.1
  qr_flutter: ^4.1.0
  permission_handler: ^11.3.1
  firebase_crashlytics: ^4.0.1
  awesome_notifications: ^0.10.0
  app_tracking_transparency: ^2.0.6
  dio: ^5.7.0
  crypto: ^3.0.5

dependency_overrides:
  http: 1.2.1
  uuid: ^4.0.0
  win32: 5.5.1

dev_dependencies:
  flutter_launcher_icons: ^0.14.1
  flutter_lints: ^5.0.0
  image: ^4.3.0
  lints: ^5.0.0
  #  build_runner: ^2.4.13
  #  mockito: ^5.4.4
  # integration_test:
  #   sdk: flutter

  flutter_test:
    sdk: flutter

flutter_launcher_icons:
  android: "launcher_icon"
  ios: true
  web:
    generate: true
  image_path: "assets/images/app_launcher_icon.svg"
  adaptive_icon_background: "assets/images/adaptive_background_icon.svg"
  adaptive_icon_foreground: "assets/images/adaptive_foreground_icon.svg"

flutter:
  uses-material-design: true

  assets:
    - assets/fonts/
    - assets/images/
    - assets/images/dark/
    - assets/images/light/
fonts:
  - family: "SF Pro"
    fonts:
      - asset: assets/fonts/SFPRODISPLAYREGULAR.OTF
      - asset: assets/fonts/SFPRODISPLAYMEDIUM.OTF
        weight: 500
      - asset: assets/fonts/SFPRODISPLAYBOLD.OTF
        weight: 700

  - family: Icons
    fonts:
      - asset: assets/fonts/icons.ttf
  - family: Menu
    fonts:
      - asset: assets/fonts/menu.ttf
